Subject: bug#40820: 28.0.50; vc: vc-push requires ssh-askpass to enter key password

From: Fredrik Nyqvist <[email-masked]>
Date: Tue, 27 Oct 2020 21:05:43 +0100

> I don't think Emacs calls ssh-askpass directly -- it just leaves all
> that stuff up to the OS setup, I think?
> 
> In any case, I was unable to reproduce this on Debian, presumably
> because there's a lot of passphrase caching going on.  Without it I'm
> just getting:
> 
> Running "git push"...
> [email-masked]: Permission denied (publickey).^M
> fatal: Could not read from remote repository.
> 
> Please make sure you have the correct access rights
> and the repository exists.
> 
> So do you have a more complete recipe for how to reproduce this bug?

OK, I see. I am also running Debian but I have not found out how the
system is setup to use ssh-askpass in my case. So unfortunately I do not
know how to show a complete recipie for this.

If the problem is because of how I have setup my system I think this
issue can be closed.

Thanks,
Fredrik